org.eclipse.net4j.util.io

## Class ExtendedDataOutput.Stream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.net4j.util.io.ExtendedDataOutput.Stream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Enclosing interface:
    ExtendedDataOutput

      public static class ExtendedDataOutput.Stream
      extends java.io.OutputStream

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stream(ExtendedDataOutput delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ExtendedDataOutput` | `getDelegate()`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stream

          public Stream(ExtendedDataOutput delegate)

  - ### Method Detail

    - #### getDelegate

          public ExtendedDataOutput getDelegate()

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html